import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:stopmotion/common/cubit/nav/nav_cubit_pages.dart';

import 'package:stopmotion/cubit/activity/activity_cubit.dart';

class ApplicationConfig {
  static const String parameterCodeMovieType = 'activity.movieType';

  static const String movieTypeValueDefault = 'default';

  static final ApplicationConfigDefinition config = ApplicationConfigDefinition(
    appTitle: 'Stop Motion',
    activitySettings: [
      // movie type
      ApplicationSettingsParameter(
        code: parameterCodeMovieType,
        values: [
          ApplicationSettingsParameterItemValue(
            value: movieTypeValueDefault,
            isDefault: true,
          ),
        ],
      ),
    ],
    startNewActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).startNewActivity(context);
      BlocProvider.of<NavCubitPage>(context).goToPageHome();
    },
    deleteCurrentActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).deleteSavedActivity();
    },
    resumeActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).resumeSavedActivity();
      BlocProvider.of<NavCubitPage>(context).goToPageHome();
    },
  );
}
